using System.Collections.Generic;

using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  Ʈ - PictureList

        /// <summary>
        ///  Ʈ
        /// </summary>
        public List<string> PictureList = new List<string>()
        {
            "ms-appx:///IMAGE/LandscapeImage1.jpg",
            "ms-appx:///IMAGE/LandscapeImage2.jpg",
            "ms-appx:///IMAGE/LandscapeImage3.jpg",
            "ms-appx:///IMAGE/LandscapeImage4.jpg",
            "ms-appx:///IMAGE/LandscapeImage5.jpg",
            "ms-appx:///IMAGE/LandscapeImage6.jpg",
            "ms-appx:///IMAGE/LandscapeImage7.jpg",
            "ms-appx:///IMAGE/LandscapeImage8.jpg",
        };

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            this.orientationComboBox.SelectionChanged     += orientationComboBox_SelectionChanged;
            this.previousButtonComboBox.SelectionChanged  += previousButtonComboBox_SelectionChanged;
            this.nextButtonComboBox.SelectionChanged      += nextButtonComboBox_SelectionChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region  ޺ ڽ   óϱ - orientationComboBox_SelectionChanged(sender, e)

        /// <summary>
        ///  ޺ ڽ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void orientationComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            string orientation = e.AddedItems[0].ToString();

            switch(orientation)
            {
                case "Vertical"   : this.pipsPager.Orientation = Orientation.Vertical;   break;
                case "Horizontal" :
                default           : this.pipsPager.Orientation = Orientation.Horizontal; break;
            }
        }

        #endregion
        #region  ư ޺ ڽ   óϱ - previousButtonComboBox_SelectionChanged(sender, e)

        /// <summary>
        ///  ư ޺ ڽ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void previousButtonComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        { 
            string previousButtonVisibility = e.AddedItems[0].ToString();

            switch(previousButtonVisibility)
            {
                case "Visible"              : this.pipsPager.PreviousButtonVisibility = PipsPagerButtonVisibility.Visible;              break;
                case "VisibleOnPointerOver" : this.pipsPager.PreviousButtonVisibility = PipsPagerButtonVisibility.VisibleOnPointerOver; break;
                case "Collapsed"            :
                default                     : this.pipsPager.PreviousButtonVisibility = PipsPagerButtonVisibility.Collapsed;            break;
            }
        }

        #endregion
        #region  ư ޺ ڽ   óϱ - nextButtonComboBox_SelectionChanged(sender, e)

        /// <summary>
        ///  ư ޺ ڽ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void nextButtonComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            string nextButtonVisibility = e.AddedItems[0].ToString();

            switch(nextButtonVisibility)
            {
                case "Visible"              : this.pipsPager.NextButtonVisibility = PipsPagerButtonVisibility.Visible;              break;
                case "VisibleOnPointerOver" : this.pipsPager.NextButtonVisibility = PipsPagerButtonVisibility.VisibleOnPointerOver; break;
                case "Collapsed"            :
                default                     : this.pipsPager.NextButtonVisibility = PipsPagerButtonVisibility.Collapsed;            break;
            }
        }

        #endregion
    }
}